Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class RPCParamElementImpl

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.SOAPElementImpl
              org.apache.axis.message.SOAPElementAxisImpl
                  org.apache.axis.message.RPCParamElementImpl

All Implemented Interfaces:
  Cloneable, Element, Node, javax.xml.soap.Node, Serializable, javax.xml.soap.SOAPElement

public class RPCParamElementImpl
extends SOAPElementAxisImpl

Abstracts an RPC parameter as SOAPElement

This is a hack that bridges between the SOAPElement that represents a RPC parameter and the actual RPCParam object which lives in a list inside the RPCElement. As long as the RPCParam is not a true javax.xml.soap.Node, clients cannot use the saaj api to modify its value.

This class should eventually become the RPCParam.

Author:
  Thomas Diesler (thomas.diesler@jboss.org)
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.message.SOAPElementAxisImpl
`SOAPElementAxisImpl.QNameAttr`

Field Summary

Fields inherited from class org.apache.axis.message.SOAPElementAxisImpl
`_isRoot, attributes, elementRep, encodingStyle, endEventIndex, href, id, message, name, namespaces, namespaceURI, prefix, qNameAttrs, recorder, soapPart, startContentsIndex, startEventIndex, typeQName`

Fields inherited from class org.apache.axis.message.NodeImpl
`domNode, soapParent`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`RPCParamElementImpl(RPCParam rpcParam)`
`RPCParamElementImpl(String namespace, String localPart, String prefix, Attributes attributes, DeserializationContext context)`

Method Summary
`javax.xml.soap.SOAPElement` | `addTextNode(String value)` Try to keep the RPCParam object in sync
`void` | `setNodeValue(String value)` Try to keep the RPCParam object in sync
`void` | `setValue(String value)` Try to keep the RPCParam object in sync

Methods inherited from class org.apache.axis.message.SOAPElementAxisImpl
`addAttribute, addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, appendChild, cloneNode, clonning, detachAllChildren, detachNode, getAllAttributes, getAsDocument, getAsDOM, getAsString, getAsStringFromInternal, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributesEx, getAttributeValue, getAttributeValue, getChildElements, getChildElements, getChildNodes, getChildren, getCompleteAttributes, getElementName, getElementsByTagName, getElementsByTagNameNS, getElementsNS, getEncodingStyle, getEnvelope, getFirstChild, getFixupDeserializer, getHref, getID, getLastChild, getLocalName, getName, getNamespacePrefixes, getNamespaceURI, getNamespaceURI, getNextSibling, getNodeType, getNodeValue, getObjectValue, getObjectValue, getOwnerDocument, getParentElement, getParentNode, getPrefix, getPrefix, getPreviousSibling, getQName, getRealElement, getRecorder, getTagName, getType, getValueAsType, getValueAsType, getVisibleNamespacePrefixes, hasAttribute, hasAttributeNS, hasAttributes, hasChildNodes, insertBefore, isDirty, isImmutable, isRoot, isSupported, makeAttributesEditable, normalize, output, outputImpl, printFromInternal, publishContents, publishToHandler, removeAttribute, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, removeContents, removeNamespaceDeclaration, replaceChild, setAllAttributes, setAllImmutable, setAttribute, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setContentsIndex, setDirty, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setImmutable, setName, setNamespaceURI, setNSMappings, setObjectValue, setOwnerDocument, setParentElement, setPrefix, setQName, setRecorder, setType`

Methods inherited from class org.apache.axis.message.NodeImpl
`getNodeName, getValue, hashCode, recycleNode, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.Node
`getValue, recycleNode`

Methods inherited from interface org.w3c.dom.Node
`getNodeName`

Constructor Detail

### RPCParamElementImpl

    public RPCParamElementImpl(String namespace,
                               String localPart,
                               String prefix,
                               Attributes attributes,
                               DeserializationContext context)
                        throws AxisFault

### RPCParamElementImpl

    public RPCParamElementImpl(RPCParam rpcParam)

Method Detail

### addTextNode

    public javax.xml.soap.SOAPElement addTextNode(String value)
                                           throws javax.xml.soap.SOAPException

  Try to keep the RPCParam object in sync

  Specified by:
    `addTextNode` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `addTextNode` in class `SOAPElementAxisImpl`
  Throws:
    `javax.xml.soap.SOAPException`

### setValue

    public void setValue(String value)

  Try to keep the RPCParam object in sync

  Specified by:
    `setValue` in interface `javax.xml.soap.Node`
  Overrides:
    `setValue` in class `NodeImpl`
  Parameters:
    `value` - A value string

### setNodeValue

    public void setNodeValue(String value)
                      throws DOMException

  Try to keep the RPCParam object in sync

  Specified by:
    `setNodeValue` in interface `Node`
  Overrides:
    `setNodeValue` in class `NodeImpl`
  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.